%global checkout 20120921gitecca20
%global git_commit ecca20

Name:           ptpd-phc
Summary:        Precision Time Protocol daemon
License:        BSD
Group:          System Environment/Daemons
Version:        2.1.0
Release:        0.4.%{checkout}%{?dist}
# Upstream does not provide tarballs.
# To generate:
# git clone git://github.com/richardcochran/ptpd-phc
# cd ptpd-phc
# git archive --prefix=ptpd-phc-%%{version}.%%{checkout}/ -o ptpd-phc-%%{version}.%%{checkout}.tar.gz %%{git_commit}
Source:         ptpd-phc-%{version}.%{checkout}.tar.gz
URL:            https://github.com/richardcochran/ptpd-phc
Source1:        ptpd-phc.service
Patch0:         ptpd-phc-drop-kbuild.patch
BuildRequires:  systemd-units
Requires(post): systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units

%description
This is the PTP daemon (PTPd) implementing the Precision Time Protocol (PTP)
version 2 as defined by 'IEEE Std 1588-2008'. PTP provides precise time
coordination of Ethernet LAN connected computers. It was designed primarily
for instrumentation and control systems.

%prep
%setup -q -n %{name}-%{version}.%{checkout}
%patch0 -p1

%build
cd src
make CFLAGS="%{optflags} -DUSE_LINUX_PHC"

%install
#ghetto
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp src/ptpd2 ${RPM_BUILD_ROOT}%{_bindir}

mkdir -p ${RPM_BUILD_ROOT}/%{_unitdir}
install -m 644 -p %{SOURCE1} ${RPM_BUILD_ROOT}/%{_unitdir}/ptpd-phc.service

%post
%if 0%{?systemd_post:1}
%systemd_post ptpd-phc.service
%else
/bin/systemctl daemon-reload &> /dev/null
%endif

%preun
%if 0%{?systemd_preun:1}
%systemd_preun ptpd-phc.service
%else
if [ "$1" -eq 0 ]; then
        /bin/systemctl --no-reload disable \
                ptpd-phc.service &> /dev/null
        /bin/systemctl stop ptpd-phc.service &> /dev/null
fi
%endif

%postun
%if 0%{?systemd_postun:1}
%systemd_postun ptpd-phc.service
%else
/bin/systemctl daemon-reload &> /dev/null
%endif

%files
%doc README COPYRIGHT
%{_bindir}/ptpd2
%{_unitdir}/ptpd-phc.service

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-0.4.20120921gitecca20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-0.3.20120921gitecca20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Sep 21 2012 Josh Boyer <jwboyer@redhat.com> - 2.1.0-0.2.20120921gitecca20
- More review fixup, add a systemd unit file (rhbz 807810)

* Fri Sep 21 2012 Josh Boyer <jwboyer@redhat.com> - 2.1.0-0.1.20120921gitecca20
- Fixed review comments from Jon Stanley (rhbz 807810)

* Wed Mar 28 2012 Josh Boyer <jwboyer@redhat.com>
- Initial packaging
